GCLOUD_COMPUTE_RESET-WINDOWS-PASSWORD(1)

NAME

gcloud compute reset-windows-password - reset and return a password for a Windows machine instance

SYNOPSIS

gcloud compute reset-windows-password INSTANCE_NAME [--user=USER] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute reset-windows-password allows a user to reset and retrieve a password for a Windows virtual machine instance. If the Windows account does not exist, this command will cause the account to be created and the password for that new account will be returned. For Windows instances that are running a domain controller, running this command creates a new domain user if the user does not exist, or resets the password if the user does exist. It is not possible to use this command to create a local user on a domain-controller instance. For all other instances, including domain-joined instances, running this command creates a local user or resets the password for a local user. WARNING: Resetting a password for an existing user can cause the loss of data encrypted with the current Windows password, such as encrypted files or stored passwords. The user running this command must have write permission for the Google Compute Engine project containing the Windows instance.

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to operate on.

FLAGS

    --user=USER
        USER specifies the username to get the password for. If omitted, the username is derived from your authenticated account email address.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.